### Method

# FwupdPlugin Plugin get_config_value

since: 1.0.6

#### Declaration [src]

    gchar*
    fu_plugin_get_config_value (
      FuPlugin* self,
      const gchar* key
    )

#### Description [src]

Return the value of a key, falling back to the default value.

Available since: 1.0.6

#### Parameters

`key`

  Type: `const gchar*`

  A settings key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.